<script>
    var lineas;
    var flag_subido=false;
    function leerArchivo(e) {
        var archivo = e.target.files[0];
        if (!archivo) {
            return;
        }
        var lector = new FileReader();
        lector.onload = function(e) {
            var contenido = e.target.result;
            lineas = contenido.split("\n.");
        };
        lector.readAsText(archivo,"ISO-8859-1");
    }
    $(document).ready(function(){
            $("#file-input").change(function(e){
                leerArchivo(e);
            })
    });
    $(document).ready(function(){
        open_cargar("Espere un momento...");
        titulo=$("#titulo_principal").html();
        titulo=titulo+" Año "+"<span style='color:#d15b47;'><?php echo $aactual; ?></span> ";
        titulo+="<div class='btn-group'>";
        titulo+="<button data-toggle='dropdown' class='btn btn-sm btn-success dropdown-toggle' aria-expanded='true'>";
        titulo+="<span class='fa fa-cog'></span> Cambiar de Año <i class='fa fa-angle-down'></i>";
        titulo+="</button>";
        titulo+="<ul class='dropdown-menu dropdown-success'>";

        for(i=<?php echo $aini; ?>;i<=<?php echo $afin ?>;i++){
            titulo+="<li><a href='<?php echo site_url("admin/boletas?i=0&j=0&nombre=Boletas%20de%20Pago"); ?>&a="+i+"'>"+i+"</a></li>";    
        }

        titulo+="</ul>";
        titulo+="</div>"
        $("#titulo_principal").html(titulo);
        close_cargar();

        $("#dialog_subir_boletas").dialog({
            title:"SUBIR BOLETAS",
            modal:true,
            autoOpen:false,
            resizable:false,
            width:"600",
            height:"400",
            close: function() {
              cerrar_subir_boletas();
            }
        });

        <?php
            foreach ($subidos as $reg){
                echo "$('#boleta_icon_".$reg->subi_anio."_".$reg->subi_mes."_".$reg->subi_form_ide."').attr('class','glyphicon glyphicon-ok green');";
                echo "$('#boleta_tr_".$reg->subi_anio."_".$reg->subi_mes."_".$reg->subi_form_ide."').attr('class','success');";
            }
        ?>
    });
    function subir(form_ide,anio,mes,mesl,forml){
        $("#detalle_boleta").html("SUBIR BOLETAS PARA "+mesl+" "+anio+" - "+forml);
        $("#dialog_subir_boletas").dialog("open");
        $("#boleta_mes").val(mes);
        $("#boleta_forma").val(form_ide);
        $("#boleta_anio").val(anio);
    }
    function subir_boletas(){
        $("#boleta_subidos").html("Preparando...");
        subidos=0;
        errores=0;
        c=0;
        for(var linea of lineas) {
            param={
                data_mes:$("#boleta_mes").val(),
                data_boleta:linea,
                data_form_ide:$("#boleta_forma").val(),
            };
            $.post("<?php echo site_url("admin/insboleta"); ?>"+"/"+$("#boleta_anio").val(),param,function(data){
                if(parseInt(data)==0){
                    errores++;
                }
                subidos=subidos+parseInt(data);
                $("#boleta_subidos").html("Subiendo: "+subidos+" de "+lineas.length);
                $("#boleta_errores").html("Errores: "+errores);
            });
            c++;
        }
        $("#boleta_subidos").html("Iniciando...");
        param={
            subi_form_ide:$("#boleta_forma").val(),
            subi_anio:$("#boleta_anio").val(),
            subi_mes:$("#boleta_mes").val(),            
        };
        $.post("<?php echo site_url("admin/inssubidos"); ?>",param);
        flag_subido=true;
    }
    function eliminar(form_ide,anio,mes,mesl,forml){
        if(!confirm("ESTA SEGURO DE ELIMINAR LAS BOLETAS DE "+forml+" DEL MES DE "+mesl+" "+anio)){
            return;
        }
        param={
            form_ide:form_ide,
            anio:anio,
            mes:mes
        }
        $.post("<?php echo site_url("admin/delbol"); ?>",param,function(data){
            location.reload();
        })
    }
    function cerrar_subir_boletas(){
        $("#dialog_subir_boletas").dialog("close");
        if(flag_subido){
            location.reload();
        }
    }
    function habilitar(anio){
        open_cargar("Espere un momento...");
        param={
            anio:anio
        };
        $.post("<?php echo site_url("admin/habilitar"); ?>",param,function(data){
            location.reload();
            //close_cargar();
        })
    }
</script>

<style>
    .mes{
        padding-left: 2px;
        padding-right: 2px;
    }
</style>

<?php $this->load->library("funciones"); ?>
<br>
<?php
    if($tabla_data==1){
?>
<div class="row">
    <?php for ($i=1;$i<=12;$i++) { ?>
    <div class="col-sm-3 mes">
        <table class="table table-bordered table-hover table-condensed">
            <thead>
                <tr>
                    <th>
                        <span class="glyphicon glyphicon-book blue"></span>
                        <?php echo $this->funciones->get_mes($i); ?>
                        <?php echo $aactual; ?>
                    </th>
                </tr>
            </thead>
            <tbody>
            <?php foreach ($formas as $key => $reg): ?>
                <tr id="boleta_tr_<?php echo $aactual."_".$i."_".$reg->form_ide;  ?>">
                    <td>
                        <div class="row">
                            <div class="col-sm-1">
                                <span 
                                    id="boleta_icon_<?php echo $aactual."_".$i."_".$reg->form_ide;  ?>" 
                                    class="glyphicon glyphicon-remove grey" title=""
                                ></span>
                            </div>
                            <div class="col-sm-8">
                                <?php echo $reg->form_nombre; ?>
                            </div>
                            <div class="col-sm-3 text-right action-buttons">
                                <a 
                                    href="#" 
                                    title="<?php echo "SUBIR ".$reg->form_nombre; ?>" 
                                    onclick="subir(<?php echo $reg->form_ide.",".$aactual.",".$i.",'".$this->funciones->get_mes($i)."','".$reg->form_nombre."'"; ?>)"
                                >
                                    <span class="fa fa-cloud-upload blue bigger-130"></span>
                                </a>
                                <a 
                                    href="#" 
                                    title="<?php echo "ELIMINAR ".$reg->form_nombre; ?>" 
                                    onclick="eliminar(<?php echo $reg->form_ide.",".$aactual.",".$i.",'".$this->funciones->get_mes($i)."','".$reg->form_nombre."'"; ?>)"
                                >
                                    <span class="fa fa-trash-o red bigger-130"></span>
                                </a>
                            </div>
                        </div>
                    </td>
                </tr>
            <?php endforeach ?>
            </tbody>
        </table>
    </div>        
    <?php } ?>
</div>

<div id="dialog_subir_boletas">
    <form action="<?php echo site_url("admin/subir_boletas"); ?>" id="form_subir_boletas" method="post">
        <h3 class="blue"><b id="detalle_boleta"></b></h3>
        <input type="file" class="form-control" id="file-input"><br>
        <input type="hidden" class="form-control" id="boleta_mes">
        <input type="hidden" class="form-control" id="boleta_forma">
        <input type="hidden" class="form-control" id="boleta_anio">
        <button class="btn btn-sm btn-primary" type="button" onclick="subir_boletas()">
            <span class="glyphicon glyphicon-send"></span>
            Subir Boletas
        </button>
        <button class="btn btn-sm btn-danger" type="button" onclick="cerrar_subir_boletas()">
            <span class="glyphicon glyphicon-remove"></span>
            Cerrar
        </button>
        <br><br>
        <div class="alert alert-success" type="text" class="form-control" id="boleta_subidos"></div>
        <div class="alert alert-danger" type="text" class="form-control" id="boleta_errores"></div>
    </form>
</div>
<?php
    }
    else{
?>

<div class="alert alert-danger">
    EL AÑO <b><?php echo $aactual; ?></b> NO SE ENCUENTRA HABILITADO EN EL SISTEMA
</div>

<div class="alert alert-info">
    PERO NO SE PREOCUPE, PARA HABILITAR HAGA CLICK EN:
    <button class="btn btn-sm btn-primary" onclick="habilitar(<?php echo $aactual; ?>)">
        <span class="fa fa-cloud"></span>
        HABILITAR AÑO <?php echo $aactual; ?>
    </button>
</div>
<?php 
    } 
?>